<?php

namespace DSERS_WOO_ALI\Admin;

/**
 *
*/
class DSERS_WOO_ALI_ADMIN_Menu {
	private $plugin;

	public function __construct( \DSERS_WOO_ALI\DSERS_WOO_ALI_Plugin $plugin) {
		$this->plugin = $plugin;
  }

  public function ds_woo_addPage() {
    add_menu_page(
      esc_html__('DSers', 'dsers'),
      esc_html__('DSers', 'dsers'),
      'manage_woocommerce',
      'dsers',
      array($this, 'ds_woo_displayInterface'),
      "{$this->plugin->ds_woo_getResourcesURL()}img/wp-logo.png",
      50
    );
  }

	public function ds_woo_displayInterface() {
		do_action('dsers_before_interface', $this);
		echo '<div class="wrap dsers_admin_index_interface">';
		esc_html_e('Loading, please wait...', 'dsers');
		echo '</div>';
		do_action('dsers_after_interface', $this);
	}

  public function run() {
      add_action('admin_menu',array($this,'ds_woo_addPage'));
  }
}
