<?php

/**
 * Plugin Name: DSers Dropshipping Solution: Find products on AliExpress for WooCommerce
 * Plugin URI: https://wordpress.org/plugins/dsers/
 * Description: DSers is AliExpress official dropshipping partner. It's the best way to place 100s of orders at once to AliExpress, find products, and more!
 * Version: 1.4.6
 * Author: DSers
 * Author URI: https://www.dsers.com/
 * Text Domain: dsers
 * Domain Path: /languages
 **/

if (!defined('WPINC')) {
	die;
}

if (file_exists(\dirname(__FILE__) . '/vendor/autoload.php')) {
	include_once dirname(__FILE__) . '/vendor/autoload.php';
}

if (!defined('DS_WOO_MAKE_PATHS_RELATIVE_FILE')) {
	define('DS_WOO_MAKE_PATHS_RELATIVE_FILE', __FILE__);
}

\add_action(
	'plugins_loaded',
	function () {
		$plugin = new \DSERS_WOO_ALI\DSERS_WOO_ALI_Plugin();
		$plugin->run();
	}
);

\add_action(
	'rest_api_init',
	function () {
		$api = new \DSERS_WOO_ALI\DSERS_WOO_ALI_EMAIL();
		$api->DSERS_WOO_ALI_EMAIL_REGISTER_ROUTES();
	}
);
